Printago API
GET /v1/materials/assignments/{id}

Get assignment by ID

Get a specific material assignment

Requires: material.view

Path Parameters

id required
string
Assignment ID

Response Schema

PartMaterialAssignment
createdAtrequired
string
format: date-time
groupIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
indexrequired
number
min: 0
materialIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
materialTyperequirednullable
string
partIdrequired
string
pattern: ^[a-z0-9]{24}$
priorityrequired
number
min: 0
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
variantIdrequirednullable
string
pattern: ^[a-z0-9]{24}$

Example Response

200 OK — application/json
{
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z",
  "groupId": "string",
  "variantId": "string",
  "materialId": "string",
  "materialType": "string",
  "partId": "string",
  "index": 0,
  "priority": 0
}